CApplyNodeFacade.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | polybori::CApplyNodeFacade< DiagramType, NodePtr >
| This template class defines a facade as a C++ interface for applying C-style functions to C-style structs, which represent decision diagrams. It is used to wrapp functions calls to raw pointers of the nodes and the context to an C++-style object. More...

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2007-07-16

This files defines a facade as a C++ interface for applying C-style functions to C-style pointers, wher represent decision diagrams.

Copyright:
  (c) 2007-2010 by The PolyBoRi Team